<?php
require_once 'core/system.php';
echo only_reg();
$id = abs(intval($_GET['id']));
$id = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` where `id` = '".$id."' limit 1"));
$id2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `anketa` where `id_us` = '".$id['id']."' limit 1"));
if(empty($id['id'])){
header('location:/'); exit;
}
if(empty($id2['id_us'])){
mysql_query("INSERT INTO `anketa` set `id_us` = '".$id['id']."'");
header('location:/anketa.php?id='.$id['id']); exit;
}
$header = 'Анкета '.$id['nick'];
require_once 'core/head.php';
if(empty($id2['name']) && empty($id2['osebe'])){
echo'<div class="player">'.($id['id'] == $user['id']?'Ваша анкета':'Анкета <b>'.$id['nick'].'</b>').' не заполнена!</div>';
}
if($user['id'] == $id['id']){
if(isset($_GET['red'])){
if($_GET['red'] == 'ok'){
mysql_query("UPDATE `anketa` set `name` = '".check($_POST['name'])."', `city` = '".check($_POST['city'])."', `data` = '".check($_POST['data'])."', `osebe` = '".check($_POST['osebe'])."', `oigre` = '".check($_POST['oigre'])."', `interes` = '".check($_POST['interes'])."' where `id_us` = '".$user['id']."'");
echo'<div class="player">Данные успешно сохранены! Обновите страницу!</div>';
}
echo'<form class="player" action="?id='.$id['id'].'&red=ok" method="post">
Имя: <br /><input class="text large" type="text" name="name" value="'.$id2['name'].'"/><br />
Город: <br /><input class="text large" type="text" name="city" value="'.$id2['city'].'"/><br />
Дата рождения: <br /><input class="text large" type="text" name="data" value="'.$id2['data'].'"/><br />
Интересы:<br /><textarea name="interes" class = "text large" rows="4" cols="55">'.$id2['interes'].'</textarea><br />
О себе:<br /><textarea name="osebe" class = "text large" rows="4" cols="55">'.$id2['osebe'].'</textarea><br />
Мнение о игре:<br /><textarea name="oigre" class = "text large" rows="4" cols="55">'.$id2['oigre'].'</textarea><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Редактировать">Редактировать</span></span></form></div>';
}
echo'<div class="player"><a href="?id='.$id['id'].'&red">Редактировать</a></div>';
}
echo'<div class="player">';
if(!empty($id2['name'])){
echo'<b>Имя:</b> <i class="green">'.$id2['name'].'</i><br/>';
}if(!empty($id2['city'])){
echo'<b>Город:</b> <i class="green">'.$id2['city'].'</i><br/>';
}if(!empty($id2['data'])){
echo'<b>Дата рождения:</b> <i class="green">'.$id2['data'].'</i><br/>';
}if(!empty($id2['interes'])){
echo'<b>Интересы:</b> <i class="green"> '.$id2['interes'].'</i><br/>';
}if(!empty($id2['oigre'])){
echo'<b>Мнение о игре:</b> <i class="green"> '.$id2['oigre'].'</i><br/>';
}if(!empty($id2['osebe'])){
echo'<b>О себе:</b> <i class="green">'.$id2['osebe'].'</i></div>';
}
echo'</div></div>';
include_once 'core/foot.php';
?>
</div>
</body>
</html>